Error installing veeamsnap-1.0.0.499-1.noarch.rpm

Backup agent for Linux servers and workstations on-premises or in the public cloud

Error installing veeamsnap-1.0.0.499-1.noarch.rpm

Veeam Logoby kwilson38 » Fri Jul 22, 2016 8:10 pm

I'm trying to install the Veeam Agent for Linux on a RHEL 6.3 box with kernel version 2.6.32-279.el6.x86_64

'rpm -ivh veeamsnap-1.0.0.499-1.noarch.rpm' results in the following:

Code: Select all
Preparing...                ########################################### [100%]
   1:veeamsnap              ########################################### [100%]
WARNING: /usr/lib/dkms/common.postinst does not exist.
ERROR: DKMS version is too old and veeamsnap was not
built with legacy DKMS support.
You must either rebuild veeamsnap with legacy postinst
support or upgrade DKMS to a more current version.
warning: %post(veeamsnap-1.0.0.499-1.noarch) scriptlet failed, exit status 1

Code: Select all
'yum list dkms.noarch' results in the following:

Loaded plugins: product-id, refresh-packagekit, security, subscription-manager
Updating certificate-based repositories.
Installed Packages
dkms.noarch                         2.2.0.3-3                          installed


'yum update dkms.noarch' results in the following:

Code: Select all
Loaded plugins: product-id, refresh-packagekit, security, subscription-manager
Updating certificate-based repositories.
Setting up Update Process
No Packages marked for Update

What do I need to do in order to get dkms updated to an acceptable version for the Veeam Agent for Linux installation?
kwilson38
Influencer
 
Posts: 10
Liked: 2 times
Joined: Fri Jul 22, 2016 7:17 pm

Re: Error installing veeamsnap-1.0.0.499-1.noarch.rpm

Veeam Logoby vmniels » Sat Jul 23, 2016 4:01 pm

Try this:
Code: Select all
wget https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm -O ~/epel-release-latest-7.noarch.rpm
rpm –i ~/epel-release-latest-7.noarch.rpm
yum update –y
yum install dkms –y
VCP-DCV
Veeam Certified Engineer
http://foonet.be
vmniels
Veeam Software
 
Posts: 1440
Liked: 318 times
Joined: Mon Jul 15, 2013 11:09 am
Full Name: Niels Engelen

Re: Error installing veeamsnap-1.0.0.499-1.noarch.rpm

Veeam Logoby kwilson38 » Mon Jul 25, 2016 12:23 pm

It doesn't appear that helped because the installation of veeamsnap still completes with the Warning/Error.

Here are the results of the attempted update of DKMS:

Code: Select all
[root@erptest2 rpm]# wget https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm -O ~/epel-release-latest-7.noarch.rpm
--2016-07-25 07:18:52--  https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm
Resolving dl.fedoraproject.org... 209.132.181.23, 209.132.181.25, 209.132.181.27, ...
Connecting to dl.fedoraproject.org|209.132.181.23|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 14500 (14K) [application/x-rpm]
Saving to: “/root/epel-release-latest-7.noarch.rpm”

100%[======================================>] 14,500      --.-K/s   in 0.05s   

2016-07-25 07:18:53 (312 KB/s) - “/root/epel-release-latest-7.noarch.rpm” saved [14500/14500]

[root@erptest2 rpm]# rpm -i ~/epel-release-latest-7.noarch.rpmwarning: /root/epel-release-latest-7.noarch.rpm: Header V3 RSA/SHA256 Signature, key ID 352c64e5: NOKEY
package epel-release-7-7.noarch is already installed
[root@erptest2 rpm]#
[root@erptest2 rpm]# yum update -y
Loaded plugins: product-id, refresh-packagekit, security, subscription-manager
Updating certificate-based repositories.
Setting up Update Process
No Packages marked for Update
[root@erptest2 rpm]# yum install dkms -y
Loaded plugins: product-id, refresh-packagekit, security, subscription-manager
Updating certificate-based repositories.
Setting up Install Process
Nothing to do
[root@erptest2 rpm]# yum list dkms.noarch
Loaded plugins: product-id, refresh-packagekit, security, subscription-manager
Updating certificate-based repositories.
Installed Packages
dkms.noarch                         2.2.0.3-3                          installed

Thanks!
kwilson38
Influencer
 
Posts: 10
Liked: 2 times
Joined: Fri Jul 22, 2016 7:17 pm

Re: Error installing veeamsnap-1.0.0.499-1.noarch.rpm

Veeam Logoby PTide » Mon Jul 25, 2016 12:57 pm 1 person likes this post

Hi,

wget https://dl.fedoraproject.org/pub/epel/e ... se-latest-7.noarch.rpm -O ~/epel-release-latest-7.noarch.rpm

I can see that you've installed epel repo for RHEL 7, while you are running RHEL 6.3. Also you have dkms 2.2.0.3-3 installed
dkms.noarch 2.2.0.3-3 installed

while the latest available version is for RHEL 6 is 2.2.0.3-34.

Could you please try to install epel 6 first:
Code: Select all
rpm -ivh http://download.fedoraproject.org/pub/epel/6/x86_64/epel-release-6-8.noarch.rpm

, then disable epel 7 repo (go to /etc/yum.repos.d/, locate EPEL repo file there, open it, and set enabled=0) then run
Code: Select all
yum install dkms –y


Thanks
PTide
Veeam Software
 
Posts: 2884
Liked: 236 times
Joined: Tue May 19, 2015 1:46 pm

Re: Error installing veeamsnap-1.0.0.499-1.noarch.rpm

Veeam Logoby kwilson38 » Mon Jul 25, 2016 2:16 pm 1 person likes this post

Thanks a lot - The above steps for RHEL 6 resolved the problem.
kwilson38
Influencer
 
Posts: 10
Liked: 2 times
Joined: Fri Jul 22, 2016 7:17 pm

Re: Error installing veeamsnap-1.0.0.499-1.noarch.rpm

Veeam Logoby PTide » Mon Jul 25, 2016 2:57 pm

Good to hear that! Looking forward for your feedback on VAL Beta.

P.S. Now you can delete all epel 7 repo related strings from that file as you don't need them on your system anymore.

Thanks
PTide
Veeam Software
 
Posts: 2884
Liked: 236 times
Joined: Tue May 19, 2015 1:46 pm

Re: Error installing veeamsnap-1.0.0.499-1.noarch.rpm

Veeam Logoby kwilson38 » Mon Jul 25, 2016 3:00 pm

Done - Thanks again!
kwilson38
Influencer
 
Posts: 10
Liked: 2 times
Joined: Fri Jul 22, 2016 7:17 pm


Return to Veeam Agent for Linux



Who is online

Users browsing this forum: No registered users and 2 guests